On Error Resume Next


Dim SerialData

'Receive Data from serial device
SerialData = GetPropertyValue("DSC832Serial.Received Data") 

'Zone Alarm - 601
If Mid(SerialData, 1, 3) = "601" Then
	If Mid(SerialData, 5, 3) = "005" Then SetPropertyValue "Entry - Motion.Alarm Zone Status", "Alarm" 
	If Mid(SerialData, 5, 3) = "006" Then SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Alarm" 
	If Mid(SerialData, 5, 3) = "007" Then SetPropertyValue "Hall - Motion.Alarm Zone Status", "Alarm"
	If Mid(SerialData, 5, 3) = "009" Then SetPropertyValue "Entry - Door.Alarm Zone Status", "Alarm"
	If Mid(SerialData, 5, 3) = "010" Then SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Alarm"
	If Mid(SerialData, 5, 3) = "011" Then SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Alarm"
	If Mid(SerialData, 5, 3) = "012" Then SetPropertyValue "Dining - Window.Alarm Zone Status", "Alarm"
End If

'Zone Alarm Restored - 602	
If Mid(SerialData, 1, 3) = "602" Then
	If Mid(SerialData, 5, 3) = "006" Then SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Restored" 
	If Mid(SerialData, 5, 3) = "005" Then SetPropertyValue "Entry - Motion.Alarm Zone Status", "Restored" 
	If Mid(SerialData, 5, 3) = "007" Then SetPropertyValue "Hall - Motion.Alarm Zone Status", "Restored"
	If Mid(SerialData, 5, 3) = "009" Then SetPropertyValue "Entry - Door.Alarm Zone Status", "Restored"
	If Mid(SerialData, 5, 3) = "010" Then SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Restored"
	If Mid(SerialData, 5, 3) = "011" Then SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Restored"
	If Mid(SerialData, 5, 3) = "012" Then SetPropertyValue "Dining - Window.Alarm Zone Status", "Restored"
End If

'Zone Open - 609
If Mid(SerialData, 1, 3) = "609" Then
	If Mid(SerialData, 4, 3) = "005" Then SetPropertyValue "Entry - Motion.Alarm Zone Status", "Open" 
	If Mid(SerialData, 4, 3) = "006" Then SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Open" 
	If Mid(SerialData, 4, 3) = "007" Then SetPropertyValue "Hall - Motion.Alarm Zone Status", "Open"
	If Mid(SerialData, 4, 3) = "009" Then SetPropertyValue "Entry - Door.Alarm Zone Status", "Open"
	If Mid(SerialData, 4, 3) = "010" Then SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Open"
	If Mid(SerialData, 4, 3) = "011" Then SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Open"
	If Mid(SerialData, 4, 3) = "012" Then SetPropertyValue "Dining - Window.Alarm Zone Status", "Open"
End If
	
'Zone Restored - 610	
If Mid(SerialData, 1, 3) = "610" Then
	If Mid(SerialData, 4, 3) = "006" Then SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Restored" 
	If Mid(SerialData, 4, 3) = "005" Then SetPropertyValue "Entry - Motion.Alarm Zone Status", "Restored" 
	If Mid(SerialData, 4, 3) = "007" Then SetPropertyValue "Hall - Motion.Alarm Zone Status", "Restored"
	If Mid(SerialData, 4, 3) = "009" Then SetPropertyValue "Entry - Door.Alarm Zone Status", "Restored"
	If Mid(SerialData, 4, 3) = "010" Then SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Restored"
	If Mid(SerialData, 4, 3) = "011" Then SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Restored"
	If Mid(SerialData, 4, 3) = "012" Then SetPropertyValue "Dining - Window.Alarm Zone Status", "Restored"
End If

'System Ready - 650
If Mid(SerialData, 1, 3) = "650" Then
	SetPropertyValue "Alarm System.AlarmMsg", "Ready"
	SetPropertyValue "Alarm System.AlarmMsg2", "System Ready"
End If

'System Not Ready - 651
If Mid(SerialData, 1, 3) = "651" Then
	SetPropertyValue "Alarm System.AlarmMsg", "Not Ready"
	SetPropertyValue "Alarm System.AlarmMsg2", "System Not Ready"
End If


'System Armed - 652
If Mid(SerialData, 1, 3) = "652" Then
	If Mid(SerialData, 5, 1) = "0" Then
	SetPropertyValue "Alarm System.Alarm System Status", "Armed-Away"
	SetPropertyValue "Alarm System.AlarmMsg", "System Armed Away"
	End if

	If Mid(SerialData, 5, 1) = "1" Then
	SetPropertyValue "Alarm System.Alarm System Status", "Armed-Stay"
	SetPropertyValue "Alarm System.AlarmMsg", "System Armed Stay"
	End if
End If

'System Alarm - 654
If Mid(SerialData, 1, 3) = "654" Then
	SetPropertyValue "Alarm System.AlarmMsg", "System in Alarm"
	SetPropertyValue "Alarm System.Alarm System Status", "Alarm"
End If

'System DisArmed - 655
If Mid(SerialData, 1, 3) = "655" Then
	 SetPropertyValue "Alarm System.AlarmMsg", "System Disarmed"
	SetPropertyValue "Alarm System.Alarm System Status", "Disarmed"
End If

'System Exit Delay - 656
If Mid(SerialData, 1, 3) = "656" Then
	SetPropertyValue "Alarm System.AlarmMsg", "Exit Delay"
	SetPropertyValue "Alarm System.Alarm System Status", "Exit Delay"
End If

'System Entry Delay - 657
If Mid(SerialData, 1, 3) = "657" Then
	SetPropertyValue "Alarm System.Alarm System Status", "Entry Delay"
End If

'User Closing - 700
If Mid(SerialData, 1, 3) = "700" Then
	SetPropertyValue "Alarm System.AlarmMsg2", "Armed by User: " & Mid(SerialData, 5, 4)
	SetPropertyValue "Alarm User - O/C.Alarm User O/C", "Close"
	SetPropertyValue "Alarm User - O/C.Alarm User", Mid(SerialData, 5, 4)
End If

'User Opening  - 750
If Mid(SerialData, 1, 3) = "750" Then
	SetPropertyValue "Alarm System.AlarmMsg2", "Disarmed by User: " & Mid(SerialData, 5, 4)
	SetPropertyValue "Alarm User - O/C.Alarm User O/C", "Open"
	SetPropertyValue "Alarm User - O/C.Alarm User", Mid(SerialData, 5, 4)
End If

'System Battery Trouble - 800
If Mid(SerialData, 1, 3) = "800" Then
	SetPropertyValue "Alarm System.AlarmMsg2", "Battery Trouble"
	SetPropertyValue "Alarm System.Alarm Battery Trouble", "Trouble"
End If

'System Battery Trouble Restored - 801
If Mid(SerialData, 1, 3) = "801" Then
	SetPropertyValue "Alarm System.Alarm Battery Trouble", "Restored"
End If

'System AC Trouble - 802
If Mid(SerialData, 1, 3) = "802" Then
	SetPropertyValue "Alarm System.Alarm Ac Trouble", "Trouble"
End If

'System AC Trouble Restored - 803
If Mid(SerialData, 1, 3) = "803" Then
	SetPropertyValue "Alarm System.Alarm AC Trouble", "Restored"
End If

'System Bell Trouble - 806
If Mid(SerialData, 1, 3) = "806" Then
	SetPropertyValue "Alarm Bell.Alarm Trouble", "Trouble"
End If

'System Bell Trouble Restored - 807
If Mid(SerialData, 1, 3) = "807" Then
	SetPropertyValue "Alarm Bell.Alarm Trouble", "Restored"
End If

'System Telephone Trouble - 810
If Mid(SerialData, 1, 3) = "810" Then
	SetPropertyValue "Alarm System.Alarm Telephone Trouble", "Trouble"
End If

'System AC Trouble Restored - 811
If Mid(SerialData, 1, 3) = "811" Then
	SetPropertyValue "Alarm System.Alarm AC Trouble", "Restored"
End If

'System Trouble - 840
If Mid(SerialData, 1, 3) = "840" Then
	SetPropertyValue "Alarm System.Alarm Trouble", "Trouble"
End If

'System Trouble Restored - 841
If Mid(SerialData, 1, 3) = "841" Then
	SetPropertyValue "Alarm System.Alarm Trouble", "Restored"
End If

