On Error Resume Next


Dim SerialData
Dim AlarmLog  ' Message to be stored in Access Database
Dim MsgLevel 'Urgency of Message
Dim pathToDB



'Receive Data from serial device (Alarm Panel)
SerialData = GetPropertyValue("DSC832Serial.Received Data") 
  

Select Case Mid(SerialData, 1, 3) 'Select the type of event 
	'Command Acknowledge
	Case "500"
		AlarmLog = "Command Received"
		MsgLevel = 1
	'Command Error
	Case "501"
		AlarmLog = "Command Error - Bad CheckSum"
		MsgLevel = 2
	'System Error
	Case "502"
		AlarmLog = "System Error"
		MsgLevel = 2
	'Zone Alarm - 601
	Case "601" 
		Select Case Mid(SerialData, 5, 3) 'Select the zone  
			Case "001"
				SetPropertyValue "Hall - Smoke.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Fire"
				AlarmLog = "Fire - Hall Smoke is in Alarm"
				MsgLevel = 3
			Case "002"
				SetPropertyValue "Office - Smoke.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Fire"
				AlarmLog = "Fire - Office Smoke is in Alarm"
				MsgLevel = 3
			Case "003"
				SetPropertyValue "Bedroom - Smoke.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Fire"
				AlarmLog = "Fire - Bedroom Smoke is in Alarm"
				MsgLevel = 3
			Case "004"
				SetPropertyValue "Entry - CO.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Fire"
				AlarmLog = "Fire - Entry Carbon Monoxide is in Alarm"
				MsgLevel = 3
			Case "005" 
				SetPropertyValue "Entry - Motion.Alarm Zone Status", "Alarm" 
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Entry Motion is in Alarm"
				MsgLevel = 3
			Case "006" 
				SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Alarm" 
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Living Room Motion is in Alarm"
				MsgLevel = 3
			Case "007" 
				SetPropertyValue "Hall - Motion.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Hall Motion is in Alarm"
				MsgLevel = 3
			Case "009"
				SetPropertyValue "Entry - Door.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Entry Door is in Alarm"
				MsgLevel = 3
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Kitchen Window is in Alarm"
				MsgLevel = 3
			Case "011"
				SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Entry Bathroom Window is in Alarm"
				MsgLevel = 3
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Zone Status", "Alarm"
				SetPropertyValue "Alarm System.Alarm Type", "Intrusion"
				AlarmLog = "Intrusion - Dining Room Window is in Alarm"
				MsgLevel = 3
		End Select
			
'	Zone Alarm Restored - 602	
	Case "602" 
		Select Case Mid(SerialData, 5, 3)
			Case "001"
				SetPropertyValue "Hall - Smoke.Alarm Zone Status", "Restored"
				AlarmLog = "Hall Smoke is Restored from Alarm"
				MsgLevel = 3
			Case "002"
				SetPropertyValue "Office - Smoke.Alarm Zone Status", "Restored"
				AlarmLog = "Office Smoke is Restored from Alarm"
				MsgLevel = 3
			Case "003"
				SetPropertyValue "Bedroom - Smoke.Alarm Zone Status", "Restored"
				AlarmLog = "Bedroom Smoke is Restored from Alarm"
				MsgLevel = 3
			Case "004"
				SetPropertyValue "Entry - CO.Alarm Zone Status", "Restored"
				AlarmLog = "Entry Carbon Monoxide is Restored from Alarm"
				MsgLevel = 3
			Case "005" 
				SetPropertyValue "Entry - Motion.Alarm Zone Status", "Restored" 
				AlarmLog = "Entry Motion is Restored from Alarm"
				MsgLevel = 3
			Case "006" 
				SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Restored" 
				AlarmLog = "Living Room Motion is Restored from Alarm"
				MsgLevel = 3
			Case "007" 
				SetPropertyValue "Hall - Motion.Alarm Zone Status", "Restored"
				AlarmLog = "Hall Motion is Restored from Alarm"
				MsgLevel = 3
			Case "009" 
				SetPropertyValue "Entry - Door.Alarm Zone Status", "Restored"
				AlarmLog = "Entry Door is Restored from Alarm"
				MsgLevel = 3
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Restored"
				AlarmLog = "Kitchen Window is Restored from Alarm"
				MsgLevel = 3
			Case "011"
				SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Restored"
				AlarmLog = "Entry Bathroom Window is Restored from Alarm"
				MsgLevel = 3
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Zone Status", "Restored"
				AlarmLog = "Dining Room Window is Restored from Alarm"
				MsgLevel = 3
		End Select

	
	'Zone Tamper - 603 (Wireless Zones)
	Case "603"
		Select Case Mid(SerialData, 5, 3)
			Case "009"
				SetPropertyValue "Entry - Door.Alarm Tamper", "Tamper"
				AlarmLog = "Entry Door Tamper"
				MsgLevel = 3
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Tamper", "Tamper"
				AlarmLog = "Kitchen Window Tamper"
				MsgLevel = 3
			Case "011"
				SetPropertyValue "Entry - Bath Window.Alarm Tamper", "Tamper"
				AlarmLog = "Entry Bathroom Window Tamper"
				MsgLevel = 3
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Tamper", "Tamper"
				AlarmLog = "Dining Room Window Tamper"
				MsgLevel = 3
		End Select
		
	'Zone Tamper Restore - 604 (Wireless Zones)
	Case "604"
		Select Case Mid(SerialData, 5, 3)
			Case "009"
				SetPropertyValue "Entry - Door.Alarm Tamper", "Restored"
				AlarmLog = "Entry Door Tamper is Restored"
				MsgLevel = 3
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Tamper", "Restored"
				AlarmLog = "Kitchen Window Tamper is Restored"
				MsgLevel = 3
			Case "011"
				SetPropertyValue "Entry - Bath Window.Alarm Tamper", "Restored"
				AlarmLog = "Entry Bathroom Window Tamper is Restored"
				MsgLevel = 3
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Tamper", "Restored"
				AlarmLog = "Dining Room Window Tamper is Restored"
				MsgLevel = 3
		End Select
		
	'Zone Fault - 605 (Fire Zones)	
	Case "605"
		Select Case Mid(SerialData, 4, 3)
			Case "001"
				SetPropertyValue "Hall - Smoke.Alarm Fault", "Fault"
				AlarmLog = "Hall Smoke is in Fault"
				MsgLevel = 3
			Case "002"
				SetPropertyValue "Office - Smoke.Alarm Fault", "Fault"
				AlarmLog = "Office Smoke is in Fault"
				MsgLevel = 3
			Case "003"
				SetPropertyValue "Bedroom - Smoke.Alarm Fault", "Fault"
				AlarmLog = "Bedroom Smoke is in Fault"
				MsgLevel = 3
			Case "004"
				SetPropertyValue "Entry - CO.Alarm Fault", "Fault"
				AlarmLog = "Entry Carbon Monoxide is in Fault"
				MsgLevel = 3
		End Select
	'Zone Fault Restored - 606 (Fire Zones)	
	Case "606"
		Select Case Mid(SerialData, 4, 3)
			Case "001"
				SetPropertyValue "Hall - Smoke.Alarm Fault", "Restored"
				AlarmLog = "Hall Smoke is Restored from Fault"
				MsgLevel = 3
			Case "002"
				SetPropertyValue "Office - Smoke.Alarm Fault", "Restored"
				AlarmLog = "Office Smoke is Restored from Fault"
				MsgLevel = 3
			Case "003"
				SetPropertyValue "Bedroom - Smoke.Alarm Fault", "Restored"
				AlarmLog = "Bedroom Smoke is Restored from Fault"
				MsgLevel = 3
			Case "004"
				SetPropertyValue "Entry - CO.Alarm Fault", "Restored"
				AlarmLog = "Entry Carbon Monoxide is Restored from Fault"
				MsgLevel = 3
		End Select
	'Zone Open - 609
	Case "609" 
		Select Case Mid(SerialData, 4, 3)
			Case "005" 
				SetPropertyValue "Entry - Motion.Alarm Zone Status", "Open" 
			Case "006" 
				SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Open"
			Case "007" 
				SetPropertyValue "Hall - Motion.Alarm Zone Status", "Open"
			Case "009" 
				SetPropertyValue "Entry - Door.Alarm Zone Status", "Open"
				AlarmLog = "Entry Door is Open"
				MsgLevel = 1
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Open"
				AlarmLog = "Kitchen Window is Open"
				MsgLevel = 1
			Case "011" 
				SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Open"
				AlarmLog = "Entry Bath Window is Open"
				MsgLevel = 1
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Zone Status", "Open"
				AlarmLog = "Dining Window is Open"
				MsgLevel = 1
		End Select
	
'Zone Restored - 610	
	Case "610" 
		Select Case Mid(SerialData, 4, 3) 
			
			Case "005" 
				SetPropertyValue "Entry - Motion.Alarm Zone Status", "Restored"
			Case "006" 
				SetPropertyValue "Living Rm - Motion.Alarm Zone Status", "Restored"
			Case "007" 
				SetPropertyValue "Hall - Motion.Alarm Zone Status", "Restored"
			Case "009"
				SetPropertyValue "Entry - Door.Alarm Zone Status", "Restored"
				AlarmLog = "Entry Door is Restored"
				MsgLevel = 1
			Case "010" 
				SetPropertyValue "Kitchen - Window.Alarm Zone Status", "Restored"
				AlarmLog = "Kitchen Window is Restored" 
				MsgLevel = 1
			Case "011" 
				SetPropertyValue "Entry - Bath Window.Alarm Zone Status", "Restored"
				AlarmLog = "Entry Bath Window is Restored"
				MsgLevel = 1
			Case "012" 
				SetPropertyValue "Dining - Window.Alarm Zone Status", "Restored"
				AlarmLog = "Dining Window is Restored"
				MsgLevel = 1
		End Select

	'System Ready - 650
	Case "650" 
		SetPropertyValue "Alarm System.Alarm Ready", "Ready"
		SetPropertyValue "Alarm System.Alarm System Status", "Ready"
		SetPropertyValue "Alarm System.Alarm Type" , "Restored"
		AlarmLog = "System Ready"
		MsgLevel = 1
	
	'System Not Ready - 651
	Case "651" 
		SetPropertyValue "Alarm System.Alarm Ready", "Not Ready"
		AlarmLog = "System Not Ready"
		MsgLevel = 1
	'System Armed - 652
	Case "652" 
		Select Case Mid(SerialData, 5, 1) 
			Case "0" 
				SetPropertyValue "Alarm System.Alarm System Status", "Armed-Away"
				AlarmLog = "System Armed Away"
				MsgLevel = 2
			Case "1" 
				SetPropertyValue "Alarm System.Alarm System Status", "Armed-Stay"
				AlarmLog = "System Armed Stay"
				MsgLevel = 2
		End Select
	'System Alarm - 654
	Case "654"
		SetPropertyValue "Alarm System.Alarm System Status", "Alarm"
		AlarmLog = "System is in Alarm!"
		MsgLevel = 3
	'System DisArmed - 655
	Case "655" 
		SetPropertyValue "Alarm System.Alarm System Status", "Disarmed"
		AlarmLog = "System Disarmed"
		MsgLevel = 2
	'System Exit Delay - 656
	Case "656" 
		SetPropertyValue "Alarm System.Alarm System Status", "Exit Delay"
		AlarmLog = "Exit Delay"
		MsgLevel = 2
	'System Entry Delay - 657
	Case "657" 
		SetPropertyValue "Alarm System.Alarm System Status", "Entry Delay"
		AlarmLog = "Entry Delay"
		MsgLevel = 2
	'User Closing - 700
	Case "700" 
		SetPropertyValue "Alarm User - O/C.Alarm User O/C", "Close"
		SetPropertyValue "Alarm User - O/C.Alarm User", Mid(SerialData, 5, 4)
		AlarmLog = "Armed by User: " & Mid(SerialData, 5, 4)
		MsgLevel = 2

	'User Opening  - 750
	Case "750" 
		SetPropertyValue "Alarm User - O/C.Alarm User O/C", "Open"
		SetPropertyValue "Alarm User - O/C.Alarm User", Mid(SerialData, 5, 4)
		AlarmLog = "Disarmed by User: " & Mid(SerialData, 5, 4)
		MsgLevel = 2
	'System Battery Trouble - 800
	Case "800"
		SetPropertyValue "Alarm System.Alarm Battery Trouble", "Trouble"
		AlarmLog = "Battery Trouble"
		MsgLevel = 2
	'System Battery Trouble Restored - 801
	Case "801"
		SetPropertyValue "Alarm System.Alarm Battery Trouble", "Restored"
		AlarmLog = "Battery Trouble Restored"
		MsgLevel = 2
	'System AC Trouble - 802
	Case "802"
		SetPropertyValue "Alarm System.Alarm Ac Trouble", "Trouble"
		AlarmLog = "AC Power Lost"
		MsgLevel = 2
	'System AC Trouble Restored - 803
	Case "803" 
		SetPropertyValue "Alarm System.Alarm AC Trouble", "Restored"
		AlarmLog = "AC Power Restored"
		MsgLevel = 2
	'System Bell Trouble - 806
	Case "806" 
		SetPropertyValue "Alarm System.Alarm Bell Trouble", "Trouble"
		AlarmLog = "Bell Trouble"
		MsgLevel = 3
	'System Bell Trouble Restored - 807
	Case "807" 
		SetPropertyValue "Alarm System.Alarm Bell Trouble", "Restored"
		AlarmLog = "Bell Trouble Restored"
		MsgLevel = 3
	'System Telephone Trouble - 810
	Case "810"
		SetPropertyValue "Alarm System.Alarm Telephone Trouble", "Trouble"
		AlarmLog = "Telephone Trouble"
		MsgLevel = 3
	'System AC Trouble Restored - 811
	Case "811" 
		SetPropertyValue "Alarm System.Alarm AC Trouble", "Restored"
		AlarmLog = "Telephone Trouble Restored"
		MsgLevel = 3
	'System Trouble - 840
	Case "840"
		SetPropertyValue "Alarm System.Alarm Trouble", "Trouble"
		AlarmLog = "System Trouble"
		MsgLevel = 2
	'System Trouble Restored - 841
	Case "841"
		SetPropertyValue "Alarm System.Alarm Trouble", "Restored"
		AlarmLog = "System Trouble Restored"
		MsgLevel = 2
End Select

Set dbConn = CreateObject( "ADODB.Connection" )

' Get path to MDB file in variable

pathToDB = GetPropertyValue( "Alarm System.Alarm Database" )

' Open connection to DB
dbConn.Open "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & pathToDB

'MsgBox IsNull(AlarmLog)
' Execute query to insert records into table
If AlarmLog <> "" Then
	dbConn.Execute "INSERT INTO [AlarmLog] ([Log], [DateTime], [MsgLevel]) VALUES ('" & AlarmLog & "', '" & GetPropertyValue( "System Time.TimeAndDate") & "', " & MsgLevel & ");"
	SetPropertyValue "Scr-FillPanelLog.State", "Running"
End If

' Reset
Set pathToDB = Nothing
Set dbConn = Nothing
